[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TBitmap.GetSharedImageClass

Gets the class reference used to create new instances of a shared image.

## Declaration

Source position: graphics.pp line 1473

`protected class function TBitmap.GetSharedImageClass: TSharedRasterImageClass; override;`

## Function result

Class reference used to create new instances of the shared image class.

## Description

GetSharedImageClass provides a class reference used to create new instances of the shared image class used in TBitmap.

The return value is a TSharedBitmap class reference in TBitmap.

GetSharedImageClass is called from methods like Create, Assign, and CanShareImage.